Rated 5 out of 5 stars

This needs to be updated for 3.6 I had it for 3.5. Please update it. The iBlu one is getting old, quick!

This review is for a previous version of the add-on (1.0.8). 

Gradient iBlu

The new version, 1.0.9, is compatible with Firefox 3.6.